package nft.info;

public class NftInfo {
    String nftId;
    String ownerAddr;
    String author;
    String name;
    String url;
    String displayUrl;
    String hash;
    long ownerGainedTime;
    String desc;
    String flag;
    String seriesName;
    String seriesId;
    long seriesTotalNum;
    String metaData;
    String publisherAddr;
    String publishPlatformAddr;
    String seriesIndexId;
    String publishTxHash;
    int sellStatus;
    long sellCount;

    public NftInfo() {
    }

    public NftInfo(String nftId, String ownerAddr, String author, String name, String url, String displayUrl, String hash, long ownerGainedTime, String desc, String flag, String seriesName, String seriesId, long seriesTotalNum, String metaData, String publisherAddr, String publishPlatformAddr, String seriesIndexId, String publishTxHash, int sellStatus, long sellCount) {
        this.nftId = nftId;
        this.ownerAddr = ownerAddr;
        this.author = author;
        this.name = name;
        this.url = url;
        this.displayUrl = displayUrl;
        this.hash = hash;
        this.ownerGainedTime = ownerGainedTime;
        this.desc = desc;
        this.flag = flag;
        this.seriesName = seriesName;
        this.seriesId = seriesId;
        this.seriesTotalNum = seriesTotalNum;
        this.metaData = metaData;
        this.publisherAddr = publisherAddr;
        this.publishPlatformAddr = publishPlatformAddr;
        this.seriesIndexId = seriesIndexId;
        this.publishTxHash = publishTxHash;
        this.sellStatus = sellStatus;
        this.sellCount = sellCount;
    }

    public String getNftId() {
        return nftId;
    }

    public void setNftId(String nftId) {
        this.nftId = nftId;
    }

    public String getOwnerAddr() {
        return ownerAddr;
    }

    public void setOwnerAddr(String ownerAddr) {
        this.ownerAddr = ownerAddr;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getDisplayUrl() {
        return displayUrl;
    }

    public void setDisplayUrl(String displayUrl) {
        this.displayUrl = displayUrl;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }

    public long getOwnerGainedTime() {
        return ownerGainedTime;
    }

    public void setOwnerGainedTime(long ownerGainedTime) {
        this.ownerGainedTime = ownerGainedTime;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getSeriesName() {
        return seriesName;
    }

    public void setSeriesName(String seriesName) {
        this.seriesName = seriesName;
    }

    public String getSeriesId() {
        return seriesId;
    }

    public void setSeriesId(String seriesId) {
        this.seriesId = seriesId;
    }

    public long getSeriesTotalNum() {
        return seriesTotalNum;
    }

    public void setSeriesTotalNum(long seriesTotalNum) {
        this.seriesTotalNum = seriesTotalNum;
    }

    public String getMetaData() {
        return metaData;
    }

    public void setMetaData(String metaData) {
        this.metaData = metaData;
    }

    public String getPublisherAddr() {
        return publisherAddr;
    }

    public void setPublisherAddr(String publisherAddr) {
        this.publisherAddr = publisherAddr;
    }

    public String getPublishPlatformAddr() {
        return publishPlatformAddr;
    }

    public void setPublishPlatformAddr(String publishPlatformAddr) {
        this.publishPlatformAddr = publishPlatformAddr;
    }

    public String getSeriesIndexId() {
        return seriesIndexId;
    }

    public void setSeriesIndexId(String seriesIndexId) {
        this.seriesIndexId = seriesIndexId;
    }

    public String getPublishTxHash() {
        return publishTxHash;
    }

    public void setPublishTxHash(String publishTxHash) {
        this.publishTxHash = publishTxHash;
    }

    public int getSellStatus() {
        return sellStatus;
    }

    public void setSellStatus(int sellStatus) {
        this.sellStatus = sellStatus;
    }

    public long getSellCount() {
        return sellCount;
    }

    public void setSellCount(long sellCount) {
        this.sellCount = sellCount;
    }

    @Override
    public String toString() {
        return "NftInfo{" +
                "nftId='" + nftId + '\'' +
                ", ownerAddr='" + ownerAddr + '\'' +
                ", author='" + author + '\'' +
                ", name='" + name + '\'' +
                ", url='" + url + '\'' +
                ", displayUrl='" + displayUrl + '\'' +
                ", hash='" + hash + '\'' +
                ", ownerGainedTime=" + ownerGainedTime +
                ", desc='" + desc + '\'' +
                ", flag='" + flag + '\'' +
                ", seriesName='" + seriesName + '\'' +
                ", seriesId='" + seriesId + '\'' +
                ", seriesTotalNum=" + seriesTotalNum +
                ", metaData='" + metaData + '\'' +
                ", publisherAddr='" + publisherAddr + '\'' +
                ", publishPlatformAddr='" + publishPlatformAddr + '\'' +
                ", seriesIndexId='" + seriesIndexId + '\'' +
                ", publishTxHash='" + publishTxHash + '\'' +
                ", sellStatus=" + sellStatus +
                ", sellCount=" + sellCount +
                '}';
    }
}
